<?php

include_once("../include/main.inc.php");

check_session('MyCpanel','index.php');

################ Paging Starts From Here ##################

@extract($_REQUEST);

$start = (intval($start)==0 or $start=="")?$start=0:$start;

$pagesize = intval($pagesize)==0?$pagesize=100:$pagesize;

if($parentID=="") {

	$parentID=0;

}

$heading="Manage Locations";

$record_type="Location";

$script_name="manage_locations.php";

$table_name="location_tbl";

#################### Add Record ##################

if($_REQUEST['action']=="add_record" && $catName!="") {

	$sql=db_query("select * from $table_name where locationName='$catName' and parentID='$parentID'");

	$num=mysqli_num_rows($sql);

	if($num>0) {

		$_SESSION['session_message']=$record_type.' already exist';

	}

	else{

		if($_FILES['image][name']!="") {

			$file_extension=strtolower(getExtension($_FILES['image']['name']));

			if($file_extension!="jpg" && $file_extension!="gif" && $file_extension!="jpeg" && $file_extension!="png") {

				$_SESSION['session_message']='Please upload image (.jpg,.gif,.png Format Only)';

				header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&parentID=".$parentID."&locationID=".$catID."&pagesize=".$pagesize);

				exit;

			}

			if($_FILES['image']['name']!="") {

				$img_name=date("d_m_Y_H_i_s");

				$img=upload_file($img_name,"image","uploaded_files/location_images");

				$width="50";

				$height="50";

				$source_folder=SITE_DIR_PATH."/uploaded_files/location_images/";

				$destination_folder=SITE_DIR_PATH."/uploaded_files/location_images/thumbs/";

				saveResizedImage($img, $width, $height, $source_folder, $destination_folder);

			}

		}

		$maxRes=db_fetch_array(db_query("select max(locationOrder) from $table_name where parentID='$parentID'"));

		$catOrder=$maxRes[0]+1;

		$sql=db_query("insert into $table_name set parentID='$parentID', locationName='$catName', locationtDesc='$catDesc', locationImage='$img', locationOrder='$catOrder'");

		$_SESSION['session_message']=$record_type.' has been added successfully';

		header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&parentID=".$parentID."&locationID=".$catID."&pagesize=".$pagesize);

		exit;

	}

}

####################################################

if($_POST['action']=="Top"){

	if(sizeof($_POST['cid'])==0) {

		$_SESSION['session_message']='Please select a record first.';

		header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=$start&pagesize=$pagesize");

		exit;

	}

	for ($x=0; $x < sizeof($_POST['cid']); $x++){

		$dataRes=$_POST['cid'];

		updateTable($table_name," locationPosition='1' where locationID='$dataRes[$x]'");

	}

	$_SESSION['session_message']='Selected record(s) Set Top successfully.';

	header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&pagesize=".$pagesize);

	exit;

}

if($_POST['action']=="Middle"){

	if(sizeof($_POST['cid'])==0) {

		$_SESSION['session_message']='Please select a record first.';

		header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=$start&pagesize=$pagesize");

		exit;

	}

	for ($x=0; $x < sizeof($_POST['cid']); $x++){

		$dataRes=$_POST['cid'];

		updateTable($table_name," locationPosition='2' where locationID='$dataRes[$x]'");

	}

	$_SESSION['session_message']='Selected record(s) Set Middle successfully.';

	header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&pagesize=".$pagesize);

	exit;

}



if($_POST['action']=="Bottom"){

	if(sizeof($_POST['cid'])==0) {

		$_SESSION['session_message']='Please select a record first.';

		header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=$start&pagesize=$pagesize");

		exit;

	}

	for ($x=0; $x < sizeof($_POST['cid']); $x++){

		$dataRes=$_POST['cid'];

		updateTable($table_name," locationPosition='3' where locationID='$dataRes[$x]'");

	}

	$_SESSION['session_message']='Selected record(s) Set Bottom successfully.';

	header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&pagesize=".$pagesize);

	exit;

}



if($action=="Update") {

	while (list($key,$val)=each($_POST)) {

		if (substr($key,0,6)=="order_") {

			$key1 = substr($key,6,strlen($key)-6);

			$qry1=db_query("update $table_name set locationOrder='$val' where locationID='$key1'");

		}

	}

	$_SESSION['session_message']=$record_type.' order has been updated successfully';

	header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&parentID=".$parentID."&locationID=".$catID."&pagesize=".$pagesize);

	exit;

}

if($id=="delete_record") {

	/*if(!anyreference($catID)) {*/

		$categoryRes=getResult($table_name," where locationID='$catID'");

		$filename=$categoryRes['locationImage'];

		if($filename!="") {

			$file=SITE_DIR_PATH."/uploaded_files/location_images/".$filename;

			if(file_exists($file)) {

				unlink($file);

			}

			$file_thumb=SITE_DIR_PATH."/uploaded_files/location_images/thumbs/".$filename;

			if(file_exists($file_thumb)) {

				unlink($file_thumb);

			}

		}

		db_query("delete from $table_name where locationID='$catID'");

		$_SESSION['session_message']=$record_type.' has been deleted successfully';

	/*}

	else{

		$_SESSION['session_message']=$record_type.' can not be deleted as any reference of this '.$record_type.' already exist. You need to delete those references first.';

	}*/

	header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&parentID=".$parentID."&catID=".$catID."&pagesize=".$pagesize);

	exit;	 

}



if($id=="deactivate_record") {

	updateTable($table_name," status='N' where locationID='$catID' and status='Y' ");

	$_SESSION['session_message']=$record_type.' has been deactivated successfully.';

	header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&parentID=".$parentID."&locationID=".$catID."&pagesize=".$pagesize);

	exit;

}



if($id=="activate_record") {

	updateTable($table_name," status='Y' where locationID='$catID' and status='N' ");

	$_SESSION['session_message']=$record_type.' has been activated successfully.';

	header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&parentID=".$parentID."&locationID=".$catID."&pagesize=".$pagesize);

	exit;

}



if($id=="set_top_business_category") {

	updateTable($table_name," topBusinessCategory='Y', status='Y' where locationID='$recordID'");

	$_SESSION['session_message']=$record_type.' has been set as top business category successfully.';

	header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&parentID=".$parentID."&locationID=".$catID."&pagesize=".$pagesize);

	exit;

}



if($id=="unset_top_business_category") {

	

	$homeCnt=getCount($table_name," where topBusinessCategory='Y' and parentID='0'");

	if ($homeCnt < 7) {

		$_SESSION['session_message']=$record_type.' is required hence can not be unset as top business category.';

		header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&parentID=".$parentID."&locationID=".$catID."&pagesize=".$pagesize);

		exit;

	}

	

	updateTable($table_name," topBusinessCategory='N' where locationID='$recordID'");

	$_SESSION['session_message']=$record_type.' has been unset as top business category successfully.';

	header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&parentID=".$parentID."&locationID=".$catID."&pagesize=".$pagesize);

	exit;	

}



########################################################

admin_header("Manage $record_type");	

?>

<table width="99%" border="0" align="center" cellpadding="0" cellspacing="0" valign="top">

 <tr>

	<td align="left" width="50%" class="myTitle"><?=$heading;?></td>

	<td align="right">

	 <form name="pagesize_form" action="<?=$PHP_SELF?>" method="post" style="margin:0px;padding:0px;">

	 <table width="98%" border="0" align="center" cellpadding="0" cellspacing="0" valign="top">

	  <tr>

	   <td align="right">Records Per Page:

	    <select name="pagesize" onchange="this.form.submit();">

	     <option value="0">Select</option>

	     <?php

	     foreach($_GLOBALS['pgsize_arr'] as $val) {

		     if(trim($pagesize)==trim($val)) {

			     echo '<option value="'.$val.'" selected>'.$val.'</option>';

		     }

		     else{

			     echo '<option value="'.$val.'">'.$val.'</option>';

		     }

	     }

	     ?>

	    </select>

	    <input type="hidden" name="catID" value="<?=$locationID;?>">

	    <input type="hidden" name="parentID" value="<?=$parentID;?>">

		 </td>

		</tr>

	 </table>

	 </form>

	</td>

 </tr>

</table>

<hr size="2" width="99%" color="#DA251C">

<?php

##################Product Search Option###################

?>

<form name="srch" method="post" action="" style="display:inline" enctype="multipart/form-data">

<table width="100%"  border="0" cellpadding="0" cellspacing="2">

 <tr>

  <td align="right"><b>Search Location </b> [by name etc.] :-

   <input type="text" name="keyword" value="" size="40">

   <input type="submit" class="button" value="GO">   

  </td>

 </tr>   

</table>

</form>

<?php

$cond="";

if (strlen($keyword)) {

	?>

	<br/>

	<div style="width:99%;">

	 <div style="float:left;"><strong>Search For :</strong> <?=$keyword;?></div>

	 <div style="float:right;"><a href="javascript:history.go(-1);"><strong>Go Back</strong></a></div>

	</div> 

	<?php

	$cond=" and (locationName like '%$keyword%' or locationtDesc like '%$keyword%')";

}

$qry1= db_query("select * from $table_name where parentID='$parentID' $cond ");

$reccnt = NumRows($qry1);

$qry= db_query("select * from $table_name where parentID='$parentID' $cond order by locationType asc, locationName asc limit $start, $pagesize");

echo pageNavigation($reccnt,$pagesize,$start);

print_message();

?>
<div class="row">
       <?php
if($parentID!="" && $parentID!=0) {
   ?>
   <a href="manage_locations.php">Manage Location</a> 
<?php
 }
 ?>
</div>
<br/>
<div class="text-right">
<input type="button" onclick="window.location.href='<?=SITE_ADMIN_URL;?>/addeditlocation.php?parentID=<?=$parentID;?>'" value="Add New <?=$record_type;?>" class="button">
</div>

  
<br />

<form name="formn" method="post" action="" enctype="multipart/form-data">

<table width="100%"  border="0" cellpadding="2" cellspacing="2" class="table table-striped">

 <?php if($reccnt>0) { ?>
<thead>
<tr bgcolor="#EAEAEA">
<td width="3%"><input type="checkbox" name="chk" onclick="CheckAll()" class="NoStyle"></td>
<td width="5%" height="20" align="left"><strong>S.No.</strong></td>
<td width="40%" align="left"><strong>Location Name</strong></td>
<td width="20%" align="center"><strong>Order</strong></td>
<td width="15%" align="left"><strong>Options</strong></td>
</tr>
</thead>

 <?php

 $sl=$start+1;

 while($arr=mysqli_fetch_array($qry)) {

	 if($sl%2!=0) {

		 $color="#f9f9f9";

	 }

	 else{

		 $color="#f0f0f0";

	 }

	 

	 $catgType1=$arr['locationType'];

	 

	  if($catgType1=='0') {

		 $catgType2="Products";

	 }

	 	  if($catgType1=='1') {

		 $catgType2="Services";

	 }

	 

	 	 	  if($catgType1=='2') {

		 $catgType2="Courses";

	 }

?>
<tbody>

	 <tr  bgcolor="<?=$color;?>">

	 <td class="<?=$class?>" valign="top"><input type=checkbox name="cid[]" value="<?=$arr['locationID'];?>" class="NoStyle"></td>

	  <td align="left"><?=$sl;?>.</td>

	  <td align="left" class="<?=$class?>">

	   <a href="<?=SITE_ADMIN_URL;?>/<?=$script_name;?>?parentID=<?=$arr['locationID'];?>"><b><?=$arr['locationName'];?></b>  </a> 

	   <?php

	   if($arr['status']=="N") {

		   echo "&nbsp;<span class='icon'>Inactive</span>";

	   }

	   ?>

	  </td> 

	  <td class="<?=$class?>" align="center"><input name="order_<?=$arr['locationID'];?>" class="txtfieldadmin" type="text" size="2" value="<?=$arr['locationOrder'];?>"></td>

	  <td class="<?=$class?>" align="left">

	   <a href="<?=SITE_ADMIN_URL?>/addeditlocation.php?start=<?=$start;?>&catID=<?=$arr['locationID'];?>&parentID=<?=$parentID;?>&pagesize=<?=$pagesize;?>"><img src="<?=SITE_ADMIN_URL?>/images/edit.gif" alt="Edit This <?=$record_type;?>" title="Edit This <?=$record_type;?>" border="0"></a>

	   <?php if($arr['status']=='Y') { ?>

	   &nbsp;<a href="<?=SITE_ADMIN_URL?>/<?=$script_name;?>?id=deactivate_record&start=<?=$start;?>&catID=<?=$arr['locationID'];?>&parentID=<?=$parentID;?>&pagesize=<?=$pagesize;?>"><img src="<?=SITE_ADMIN_URL?>/images/active.gif" alt="Deactivate This <?=$record_type;?>" title="Deactivate This <?=$record_type;?>" border="0"></a>

	   <?php }

	   if($arr['status']=='N') { ?>

	   &nbsp;<a href="<?=SITE_ADMIN_URL?>/<?=$script_name;?>?id=activate_record&start=<?=$start;?>&catID=<?=$arr['locationID'];?>&parentID=<?=$parentID;?>&pagesize=<?=$pagesize;?>"><img src="<?=SITE_ADMIN_URL?>/images/deactive.gif" alt="Activate This <?=$record_type;?>" title="Activate This <?=$record_type;?>" border="0"></a>

	   <?php } ?>

	   <?php /*if(!anyreference($arr['catID']) && $parentID!=0) { */ ?>

	   &nbsp;<a href="<?=SITE_ADMIN_URL?>/<?=$script_name;?>?id=delete_record&start=<?=$start;?>&catID=<?=$arr['locationID'];?>&parentID=<?=$parentID;?>&pagesize=<?=$pagesize;?>" onClick="return confirm('Are you sure to delete this <?=$record_type;?>...');"><img src="<?=SITE_ADMIN_URL?>/images/cancel.gif" alt="Delete This <?=$record_type;?>" title="Delete This <?=$record_type;?>" border="0"></a>

	   <?php /*} */?>

	   <!--&nbsp;<a href="<?=SITE_ADMIN_URL?>/manage_meta_tags_category.php?start=<?=$start;?>&catID=<?=$arr['catID'];?>&parentID=<?=$parentID;?>&pagesize=<?=$pagesize;?>"><img src="<?=SITE_ADMIN_URL?>/images/preview.gif" width="16" height="16" alt="Manage Meta Details" title="Manage Meta Details" border="0"></a>-->

	  </td>

	 </tr>

	 <?php

	 $sl++;

 }

 ?>
 <tr>
<td>
  <div class="text-right">

   <input type="submit" name="Submit" value="Update" class="button">

   <input type="hidden" name="action" value="Update" class="button">

  </div>
     </td>

 </tr>

  <tr>
<?php } else{ ?>

 <tr><td><b>No Record Found........</b></td></tr>

 <?php } ?>
</tbody> 
</table>

</form><br/>


<div class="text-right">
<input type="button" onclick="window.location.href='<?=SITE_ADMIN_URL;?>/<?=$script_name;?>?id=add_new#bot'" value="Add New <?=$record_type;?>" class="button">
</div>
<?php
admin_footer();

exit;

?>